'----------------------------------------------------------------------------
' DIRECTQB.BI
'   Include file for the DirectQB library version 1.1
'
' This file contains constants and function declarations used by the library
' Always include this file into your own programs!
'
' Detailed informations on how to use the library can be found into the
' DIRECTQB.DOC file; read it carefully!
'----------------------------------------------------------------------------

'$DYNAMIC
DEFINT A-Z

DECLARE FUNCTION DQBinit (BYVAL NumLayers, BYVAL NumSounds)
DECLARE FUNCTION DQBemsSeg ()
DECLARE FUNCTION DQBsetBit (BYVAL Value, BYVAL Bit)
DECLARE FUNCTION DQBresetBit (BYVAL Value, BYVAL Bit)
DECLARE FUNCTION DQBreadBit (BYVAL Value, BYVAL Bit)
DECLARE FUNCTION DQBtoggleBit (BYVAL Value, BYVAL Bit)
DECLARE FUNCTION DQBshiftLeft (BYVAL Value, BYVAL nBits)
DECLARE FUNCTION DQBshiftRight (BYVAL Value, BYVAL nBits)
DECLARE FUNCTION DQBpoint (BYVAL Layer, BYVAL x, BYVAL y)
DECLARE FUNCTION DQBsize (BYVAL x1, BYVAL y1, BYVAL x2, BYVAL y2)
DECLARE FUNCTION DQBfindCol (BYVAL Red, BYVAL Green, BYVAL Blue)
DECLARE FUNCTION DQBloadLayer (Layer AS INTEGER, FileName AS STRING, Pal AS STRING)
DECLARE FUNCTION DQBsaveLayer (Layer AS INTEGER, FileName AS STRING, Pal AS STRING, Format AS INTEGER)
DECLARE FUNCTION DQBkey (BYVAL ScanCode)
DECLARE FUNCTION DQBreadKey ()
DECLARE FUNCTION DQBjoyDetected (BYVAL JoyNum)
DECLARE FUNCTION DQBjoyMove (BYVAL JoyNum, BYVAL Direction)
DECLARE FUNCTION DQBjoyFire (BYVAL JoyNum, BYVAL Button)
DECLARE FUNCTION DQBmouseDetected ()
DECLARE FUNCTION DQBmouseX ()
DECLARE FUNCTION DQBmouseY ()
DECLARE FUNCTION DQBmouseLB ()
DECLARE FUNCTION DQBmouseRB ()
DECLARE FUNCTION DQBinstallSB (BaseAddr AS INTEGER, IRQ AS INTEGER, DMA AS INTEGER)
DECLARE FUNCTION DQBloadSound (Slot AS INTEGER, FileName AS STRING)
DECLARE SUB DQBcopyLayer (BYVAL SourceLayer, BYVAL DestLayer)
DECLARE SUB DQBcopyTransLayer (BYVAL SourceLayer, BYVAL DestLayer)
DECLARE SUB DQBclearLayer (BYVAL Layer)
DECLARE SUB DQBpset (BYVAL Layer, BYVAL x, BYVAL y, BYVAL Col)
DECLARE SUB DQBline (BYVAL Layer, BYVAL x1, BYVAL y1, BYVAL x2, BYVAL y2, BYVAL Col)
DECLARE SUB DQBbox (BYVAL Layer, BYVAL x1, BYVAL y1, BYVAL x2, BYVAL y2, BYVAL Col)
DECLARE SUB DQBboxf (BYVAL Layer, BYVAL x1, BYVAL y1, BYVAL x2, BYVAL y2, BYVAL Col)
DECLARE SUB DQBscroll (BYVAL Layer, BYVAL dx, BYVAL dy)
DECLARE SUB DQBwait (BYVAL Times)
DECLARE SUB DQBsetTransPut ()
DECLARE SUB DQBsetSolidPut ()
DECLARE SUB DQBsetClipBox (BYVAL x1, BYVAL y1, BYVAL x2, BYVAL y2)
DECLARE SUB DQBget (BYVAL Layer, BYVAL x1, BYVAL y1, BYVAL x2, BYVAL y2, BYVAL BufSeg, BYVAL BufOff)
DECLARE SUB DQBput (BYVAL Layer, BYVAL x, BYVAL y, BYVAL BufSeg, BYVAL BufOff)
DECLARE SUB DQBfastPut (BYVAL Layer, BYVAL x, BYVAL y, BYVAL BufSeg, BYVAL BufOff)
DECLARE SUB DQBscaledPut (BYVAL Layer, BYVAL x, BYVAL y, BYVAL BufSeg, BYVAL BufOff, BYVAL NewWidth, BYVAL NewHeight)
DECLARE SUB DQBsetCol (BYVAL ColorIndex, BYVAL Red, BYVAL Green, BYVAL Blue)
DECLARE SUB DQBgetCol (BYVAL ColorIndex, Red, Green, Blue)
DECLARE SUB DQBsetPal (Pal AS STRING)
DECLARE SUB DQBgetPal (Pal AS STRING)
DECLARE SUB DQBfadeIn (Pal AS STRING)
DECLARE SUB DQBfadeTo (BYVAL Red, BYVAL Green, BYVAL Blue)
DECLARE SUB DQBpalOff ()
DECLARE SUB DQBprint (Layer AS INTEGER, Text AS STRING, x AS INTEGER, y AS INTEGER, Col AS INTEGER)
DECLARE SUB DQBsetBIOSfont ()
DECLARE SUB DQBsetFont (Font AS STRING)
DECLARE SUB DQBsetTransText ()
DECLARE SUB DQBsetSolidText ()
DECLARE SUB DQBsetTextBackCol (BYVAL Col)
DECLARE SUB DQBinstallKeyboard ()
DECLARE SUB DQBwaitKey (BYVAL ScanCode)
DECLARE SUB DQBremoveKeyboard ()
DECLARE SUB DQBpollJoy (BYVAL JoyNum)
DECLARE SUB DQBresetJoy ()
DECLARE SUB DQBmouseShow ()
DECLARE SUB DQBmouseHide ()
DECLARE SUB DQBsetMouseRange (BYVAL x1, BYVAL y1, BYVAL x2, BYVAL y2)
DECLARE SUB DQBsetMouseShape (hotX AS INTEGER, hotY AS INTEGER, Shape AS STRING)
DECLARE SUB DQBresetMouse ()
DECLARE SUB DQBclose ()
DECLARE SUB DQBplaySound (BYVAL SoundNum, BYVAL Voice, BYVAL LoopFlag)
DECLARE SUB DQBstopVoice (BYVAL Voice)
DECLARE SUB DQBsetSamplingRate (Rate AS INTEGER)
DECLARE SUB DQBremoveSB ()
DECLARE SUB DQBsetVolume (BYVAL Volume)
DECLARE SUB DQBgpoly (BYVAL Layer, BYVAL x1, BYVAL y1, BYVAL c1, BYVAL x2, BYVAL y2, BYVAL c2, BYVAL x3, BYVAL y3, BYVAL c3)

CONST VIDEO = 0, BSV = 0, BMP = 1, PCX = 2
CONST KEYESC = 1, KEYENTER = 28, KEYSPACE = 57
CONST KEYUP = 72, KEYDOWN = 80, KEYLEFT = 75, KEYRIGHT = 77
CONST UP = 0, DOWN = 1, LEFT = 2, RIGHT = 3
CONST JOY1 = 0, JOY2 = 1, BUTA = 0, BUTB = 1
CONST AUTO = -1, ONCE = 0, LOOPED = 1

